#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

bool isSorted(vector<int> v)
{
    vector<int> seged=v;
    sort(seged.begin(),seged.end());
    return seged==v;
}

int main()
{
    int n;
    cin>>n;
    vector<int> v(n);
    for(int i=0;i<n;i++)
        cin>>v.at(i);
    int kerdes;
    cin>>kerdes;
    int valasz[kerdes]={0};
    for(int i=0;i<kerdes;i++)
    {
        int l,r;
        cin>>l>>r;
        vector<int> seged1;
        for(int j=l-1;j<r;j++)
            seged1.push_back(v.at(j));

        for(int j=0;j<r-l+1;j++)
        {
            vector<int> seged2;
            for(int k=0;k<r-l+1;k++)
                if(j!=k)
                    seged2.push_back(seged1.at(k));
            if(isSorted(seged2))
            {
                valasz[i]=1;
                break;
            }
        }
    }
    for(int i=0;i<kerdes;i++)
        if(valasz[i]==1)
            cout<<"DA"<<endl;
        else
            cout<<"NE"<<endl;
    return 0;
}